Bug 56341 - GUI installer crashes after selecting partition
GUI installer crashes after selecting partition
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 16:13 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-20 21:19:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-15 16:13:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
I am trying (for the first time) to install linux. I did check, and i dont 
think there was any other bug the same as this here...then again, i'm 
newbie, im not too good with this yet. sorry! please give any replys in 
laymans terms...please?!?I have resized my primary windows partition using 
FIPS and left 10 of my 20GB for linux(can i do this? or do i have to make 
the windows partition <2GB?). When i select the 'workstation' option in 
the installer (GUI) & press next, i *should* be able to choose the 
option "Automatically partition and remove DATA", right? I'm sorry...i'm 
new at this, i just bought a book to help me with the installation 
process. Well, i cant choose this option, it doesnt exist, instead it 
tells me there is not enough space and i must manually partition with 
either disk druid or FDISK. I chose disk druid, selected the partition 
that i want to install to(it says FAT32, this IS the second partition, but 
is this right?), choose 'edit' and select a mount point (/). Click next 
then i get an error saying that i should report this to u guys...what am i 
doing wrong?!?!?! and what do i do?!?!?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run GUI install
2.select workstation install
3.shouldnt i be able to use automatic partitioning here? tried checking 
out Disk Druid
4.select mount point (/) on partition 2 (FAT32???this cant be right...can 
it?)
4.Click next	

Actual Results:  error msg telling me to report bug

Expected Results:  Should have moved on to network configuration

Additional info:

Here is the error code:


Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", line 133, in getScreen
    avail = apply(isys.spaceAvailable, self.todo.fstab.getRootDevice())
  File "/usr/lib/anaconda/isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "/usr/lib/anaconda/isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda2
readOnly: 0
device: /tmp/hda2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Brent Fox 2001-11-20 21:19:23 EST
Hmm...it's hard to know what state your partition table is in after you used
FIPS, since I don't know what your partition table looked like before you used
it, and I don't know what it looks like now.  

It sounds to me like FIPS perhaps did the wrong thing.  Can you boot into
Windows to see how much space Windows now thinks it has?  It should occupy the
first 10 GB of the disk, but it's good to check that that is the case. If that
is the case, do you now have a second FAT partition that takes up the second
half of the drive?  You want to install Linux onto an ext2 partition, instead of
a FAT partition.
Comment 2 Brent Fox 2001-12-01 22:30:39 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.